Topic
2 replies Latest Post - ‏2011-11-16T14:25:50Z by J3EA_Jason_Ellis
J3EA_Jason_Ellis
J3EA_Jason_Ellis
4 Posts
ACCEPTED ANSWER

Pinned topic Compile in Notifications App

‏2011-11-15T17:48:42Z |
I'm getting compile errors with the notifications application (see attached screen shot). I imported the project using File -> New Project and immediately got the errors. Any idea what might cause this?

I checked for build path issues but all the requirements appear to be satisfied. I also cleaned the project but to no avail.
Updated on 2011-11-16T14:25:50Z at 2011-11-16T14:25:50Z by J3EA_Jason_Ellis
  • SystemAdmin
    SystemAdmin
    59 Posts
    ACCEPTED ANSWER

    Re: Compile in Notifications App

    ‏2011-11-15T23:40:39Z  in response to J3EA_Jason_Ellis
    All the search results I see for this problem are related to Java 1.5 and @override usage. Can you confirm that your Eclipse installation is configured to use a Sun version 1.6 JDK? If that's the issue, we'll need to be more firm in our Eclipse Project Setup page of the documentation, which currently says "1.6 works best"... we might have to drop the "best".
    • J3EA_Jason_Ellis
      J3EA_Jason_Ellis
      4 Posts
      ACCEPTED ANSWER

      Re: Compile in Notifications App

      ‏2011-11-16T14:25:50Z  in response to SystemAdmin
      Yep, that was it. My install was configured for Java 1.5. Once I changed that to 1.6, the compile succeeded and the app ran. Thanks!